> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toingg.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ADD Text Pipeline Configuration

## Overview

The "Text Pipeline Configuration" endpoint is used to add or configure the settings for a specific campaign's text pipeline. By sending a POST request to the `/text_pipeline_configuration` endpoint, users can provide the campaign ID as a parameter and include the following details in the request body:

* A "messageDelay", which can be set from range of "1" to "10".
* A "mexRetry" count, which can be set from range of "1" to "5".
* A "retryDelay", which can be set from range of "1" to  "5".
* A "postWebhook" URL, The URl for your Messaging Webhook.
* A "gole", described What is the ourpose of this.


## OpenAPI

````yaml POST /text_pipeline_configuration
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.toingg.com/api/v3
security: []
paths:
  /text_pipeline_configuration:
    post:
      tags:
        - Campaign handling
      summary: Post Text Pipeline Configuration
      operationId: post_text_pipeline_configuration_text_pipeline_configuration_post
      parameters:
        - name: campId
          in: query
          required: true
          schema:
            type: string
            title: Campid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/textPipelineConfigRQ'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    textPipelineConfigRQ:
      properties:
        messageDelay:
          type: integer
          title: Messagedelay
          default: 10
        mexRetry:
          type: integer
          title: Mexretry
          default: 5
        retryDelay:
          type: integer
          title: Retrydelay
          default: 5
        postWebhook:
          anyOf:
            - type: string
            - type: 'null'
          title: Postwebhook
        postWebhookDelay:
          type: integer
          title: Postwebhookdelay
          default: 86400
        goal:
          type: string
          title: Goal
      type: object
      required:
        - goal
      title: textPipelineConfigRQ
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: login

````